%define wrappers_ver	1.0.3
%define oname ROX-Filer

Name:		rox
Version: 	2.3
Release:	1mdk
Summary:	A fast and powerful graphical file manager
Group:		Graphical desktop/Other
License:	GPL
URL:		http://rox.sourceforge.net
Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:	http://prdownloads.sourceforge.net/%{name}/Wrappers-%{wrappers_ver}.tar.bz2
Source2:	rox-48.png
Source3:	rox-32.png
Source4:	rox-16.png
Source5:	rox-menu-method.bz2
Source6:	rox-mime-method.bz2
Patch0:		rox-20040801-xvt.patch.bz2
Patch1:		rox-2.1.2-shell.patch.bz2
Patch2:		rox-2.1.0-gnuclient.patch.bz2
Provides:	rox-base
Obsoletes:	rox-base
BuildRoot:	%{_tmppath}/%{name}-%version-buildroot
BuildRequires:	libgtk+2.0-devel >= 2.2.0
BuildRequires:  libxml2-devel
BuildRequires:  libgnome-vfs2-devel >= 2.8.0
Requires: menu >= 2.1.12
Requires(pre):	shared-mime-info >= 0.11
Requires(post):	shared-mime-info >= 0.11

%description
ROX-Filer is a fast, powerful, and easy to use graphical file
manager. It has full support for drag-and-drop and application
directories.  The filer can also provide a pinboard (allowing you to pin
up files on your desktop background) and panels.  The emphasis is on
uncluttered directory views; menus and prompts only appear when needed.

The Wrappers package found on the Rox home page is already included.

%prep
%setup -q -a 1
%patch0 -p1
%patch1 -p1 -b .shell
%patch2 -p1 -b .gnuclient

%build
export CFLAGS="$RPM_OPT_FLAGS -I%_prefix/X11R6/lib"
./%oname/AppRun --compile

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_libdir/apps
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mime/packages
cp -a %oname $RPM_BUILD_ROOT%_libdir/apps/
rm -rf $RPM_BUILD_ROOT%_libdir/apps/src
rm -rf $RPM_BUILD_ROOT%_libdir/apps/*/{src,build}
cp -a rox.1 $RPM_BUILD_ROOT%{_mandir}/man1
( cd $RPM_BUILD_ROOT%{_mandir}/man1 ; ln -s rox.1 %oname.1 )
cat << EOF > $RPM_BUILD_ROOT%{_bindir}/rox
#!/bin/sh
exec %_libdir/apps/%oname/AppRun "\$@"
EOF
chmod a+x $RPM_BUILD_ROOT%{_bindir}/rox
cp rox.xml $RPM_BUILD_ROOT%{_datadir}/mime/packages
cp -r Choices $RPM_BUILD_ROOT%{_datadir}

# Wrappers
cp -a Wrappers/* $RPM_BUILD_ROOT%_libdir/apps/
cp -a Wrappers/README README.wrappers

# desktop entry
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Applications
cat > $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=ROX Filer
Comment=ROX Filer
Exec=rox
Icon=rox.png
Terminal=false
MultipleArgs=false
Type=Application
EOF

# Mandrake menu
mkdir -p $RPM_BUILD_ROOT{%{_menudir},%{_liconsdir},%{_iconsdir},%{_miconsdir}}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%name
?package(%name):\
needs="x11"\
%if %mdkversion <= 920
section="Applications/File tools"\
%elif %mdkversion < 1010
section="System/File tools"\
%else
section="System/File Tools"\
%endif
title="ROX"\
longtitle="File Manager of the ROX desktop environment"\
command="rox"\
icon="%name.png"
EOF
cp %{SOURCE2} $RPM_BUILD_ROOT%{_liconsdir}/%name.png
cp %{SOURCE3} $RPM_BUILD_ROOT%{_iconsdir}/%name.png
cp %{SOURCE4} $RPM_BUILD_ROOT%{_miconsdir}/%name.png

mkdir -p %buildroot%_sysconfdir/menu-methods
bzcat %SOURCE5 > %buildroot%_sysconfdir/menu-methods/%name
bzcat %SOURCE6 > %buildroot%_sysconfdir/menu-methods/%name-mime

# remove temp file
rm -f $RPM_BUILD_ROOT%_libdir/apps/Netscape/.AppRun.swp $RPM_BUILD_ROOT%{_datadir}/Choices/MIME-types/* $RPM_BUILD_ROOT%_libdir/apps/ROX-Filer/AppRun.*

for gmo in %buildroot%_libdir/apps/%oname/Messages/*.gmo;do
echo "%lang($(basename $gmo|sed s/.gmo//)) $(echo $gmo|sed s!%buildroot!!)" >> %name.lang
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
%{_bindir}/update-mime-database %{_datadir}/mime > /dev/null

%postun
%{clean_menus}
%{_bindir}/update-mime-database %{_datadir}/mime > /dev/null

%files -f %name.lang
%defattr (-,root,root)
%doc README*
%doc %_libdir/apps/%oname/Help
%doc %_libdir/apps/%oname/Messages/README
%attr(755,root,root) %config(noreplace) %_sysconfdir/menu-methods/%name
%attr(755,root,root) %config(noreplace) %_sysconfdir/menu-methods/%name-mime
%dir %_libdir/apps/
%dir %_libdir/apps/%oname
%_libdir/apps/%oname/.DirIcon
%_libdir/apps/%oname/A*
%_libdir/apps/%oname/Options.xml
%dir %_libdir/apps/%oname/Messages
%_libdir/apps/%oname/ROX*
%_libdir/apps/%oname/images
%_libdir/apps/%oname/style.css
#wrappers
%_libdir/apps/A*
%_libdir/apps/E*
%_libdir/apps/G*
%_libdir/apps/L*
%_libdir/apps/M*
%_libdir/apps/N*
%_libdir/apps/O*
%_libdir/apps/README
%_libdir/apps/S*
%_libdir/apps/T*
%_libdir/apps/V*
%_libdir/apps/X*
%{_mandir}/man1/*
%{_bindir}/*
%{_datadir}/gnome/apps/Applications/%{name}.desktop
%dir %{_datadir}/Choices
%dir %{_datadir}/Choices/MIME-types
%{_datadir}/mime/packages/rox.xml
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png
%_menudir/%name

%changelog
* Wed Aug 10 2005 Gtz Waschk <waschk@mandriva.org> 2.3-1mdk
- update file list
- drop patch 3
- New release 2.3

* Wed May 18 2005 Frederic Lepied <flepied@mandriva.com> 2.2.0-4mdk
- add a new menu method for mime types (source6)

* Tue May 17 2005 Gtz Waschk <waschk@mandriva.org> 2.2.0-3mdk
- fix build on x86_64

* Tue May 17 2005 Gtz Waschk <waschk@mandriva.org> 2.2.0-2mdk
- fix post scripts
- patch3: fix gcc4 build
- update menu method

* Sun Jan 30 2005 Goetz Waschk <waschk@linux-mandrake.com> 2.2.0-1mdk
- New release 2.2.0

* Mon Jan 24 2005 Goetz Waschk <waschk@linux-mandrake.com> 2.1.6-1mdk
- New release 2.1.6

* Sat Jan 15 2005 Goetz Waschk <waschk@linux-mandrake.com> 2.1.5-1mdk
- New release 2.1.5

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.4-2mdk
- build with gnome-vfs

* Thu Oct 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.4-1mdk
- fix menu
- fix buildrequires
- New release 2.1.4

* Tue Aug  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.3-1mdk
- rediff patch 0
- New release 2.1.3

* Tue May 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.2-3mdk
- fix menu method

* Sat May  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.2-2mdk
- spec fixes
- add lang tag to the translations 
- rediff patch 1

* Fri Apr 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.2-1mdk
- disable patch 1 (still has to be ported)
- New release 2.1.2

* Wed Feb 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-2mdk
- Fix menu entry

* Sun Jan 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.1-1mdk
- fix menu section
- new version

* Sun Nov 23 2003 Frederic Lepied <flepied@mandrakesoft.com> 2.1.0-2mdk
- added patch0 to launch xvt instead of xterm
- added patch1 for graphical shell:
	* extend the shell minibuffer with the cd and sel internal commands
	* don't close the shell minibuffer after a command
	* bind the $ key to the opening of a shell minibuffer
	* don't insert the selection on the shell minibufer creation but insert it
	when the key Insert is used
- added patch2 for gnuclient support in emacs

* Wed Oct  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.0-1mdk
- new version

* Thu Aug 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.1-2mdk
- fix menu method to use UTF-8 encoding

* Wed Jul 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.1-1mdk
- drop merged patch
- new version

* Thu Jun 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-3mdk
- patch to fix broken scrollbar with gtk+ >= 2.2.2 

* Mon Jun  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-1mdk
- new version

* Thu May 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.10-1mdk
- requires newer mime database
- new version

* Sun May 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.9-1mdk
- update the icon
- new version

* Wed Apr 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.8-2mdk
- fix distriblint warning

* Sun Mar 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.8-1mdk
- new version

* Fri Feb 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.7-1mdk
- new version

* Sat Feb 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.6-4mdk
- really fix the rox menu

* Fri Feb 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.6-3mdk
- bugfix for the menu method (thanks Maxim Heijndijk)

* Tue Jan 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.6-2mdk
- add SendTo context menu generation to the menu method

* Fri Jan 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.6-1mdk
- new version

* Thu Jan  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.5-4mdk
- bugfix for the menu-method

* Thu Jan  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.5-3mdk
- add a menu-method (please test)

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3.5-2mdk
- rebuild

* Thu Dec  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3.5-1mdk
- new version

* Mon Oct  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3.4-1mdk
- 1.3.4
- don't delete cvs files, it's spec-helper's job

* Thu Jul 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3.3-1mdk
- adapt for new shared-mime-info
- new version

* Thu Jun 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3.2-2mdk
- fix gnome menu entry

* Sat Jun 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3.2-1mdk
- require at least gtk+2.0.1
- rox 1.3.2
- Wrappers 1.0.3

* Tue Jun 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3.1-4mdk
- install included Choices
- obsoletes rox-base

* Sun Jun 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3.1-3mdk
- remove separate ROX-Filer icon (unneeded)

* Mon Jun  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3.1-2mdk
- requires shared-mime-info

* Fri May 31 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3.1-1mdk
- 1.3.1

* Sun May 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3.0-1mdk
- cleanup
- mdk adaption

* Mon May 20 2002 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.3.0-1
- new version
- added macro %{_appsdir}

* Wed Apr 10 2002 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.2.0-2
- the wrapper applications were missing in the %%files section

* Mon Feb 18 2002 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.2.0-1
- new version

* Fri Feb 15 2002 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.14-1
- new version

* Sat Feb 09 2002 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.13-1
- new version

* Thu Jan 24 2002 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.12-1
- new version

* Wed Jan 09 2002 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.11-1
- new version

* Sat Dec 29 2001 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.10-1
- new version

* Sat Dec 22 2001 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.9-1
- new version
- PDF documentation not generated yet

* Tue Sep 04 2001 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.7-1
- new version
- added Wrappers

* Mon Jun 11 2001 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.5-1
- new version
- conditionaly generates manual in PDF format

* Mon May 07 2001 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.3-1
- new version
- do not compile support for vfs
- generate PDF documentation from its LyX sources and dia diagrams

* Sun Apr 01 2001 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.2-1
- new version
- added applnk file

* Mon Mar 26 2001 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.1.2-0.1
- CVS version of 2001-03-26
- spec file clean up

* Sat Feb 17 2001 Jos Romildo Malaquias <romildo@iceb.ufop.br>
- Updated for 1.1.1 release.
- Added support for opening virtual file systems based on avfs.

* Wed Dec 27 2000 Thomas Leonard <tal197@users.sourceforge.net>
- Updated for 1.0.0 release.

* Thu Nov 2 2000 Andy Piper <andy.piper@freeuk.com> 
- Updated for 0.1.29 release.

* Tue Sep 19 2000 Andy Piper <andy.piper@freeuk.com> 
- Added man page.

* Mon Sep 18 2000 Andy Piper <andy.piper@freeuk.com> 
- Modified spec file to follow standards from the HOWTO.

* Sun Sep 17 2000 Thomas Leonard <tal197@users.sourceforge.net> 
- First spec file for rox.
